import { describe, it } from "vitest";

import { getBuild, matchSnapshot } from "./utils";

describe("group", () => {
  const compileESBuild = getBuild("group");
  it("supports group", async () => {
    const { files } = await compileESBuild({
      clsx: "emotion",
      // expectFiles: 2,
      javascript: /* tsx */ `
        export function Hello() {
          return (
            <li css="group/item">
              <a css="group/edit invisible group-hover/item:visible" href="tel:{person.phone}">
                <span css="group-hover/edit:text-gray-700">Call</span>
                <svg css="group-hover/edit:translate-x-0.5 group-hover/edit:text-gray-500"></svg>
              </a>
            </li>
          );
        }
    `,
    });
    matchSnapshot(files);
  });
});
